Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059694 - RFE: Add "libpam-pwdfile" module which is of high interest when using vsftpd
Summary: RFE: Add "libpam-pwdfile" module which is of high interest when using vsftpd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution
Version: 6.5
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: RHEL Product and Program Management
QA Contact: nobody nobody
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 11:42 UTC by David Tonhofer
Modified: 2019-03-22 07:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 18:19:56 UTC


Attachments (Terms of Use)

Description David Tonhofer 2014-01-30 11:42:16 UTC
Description of problem:
=======================

Using vsftpd with "virtual user" can be done with a simple (httpd-style) user/password file as is done in Apache.

See:

  http://howto.gumph.org/content/setup-virtual-users-and-directories-in-vsftpd/

This file can be handled with the PAM module "libpam-pwdfile":

  https://github.com/tiwe-de/libpam-pwdfile

Currently that module is not in the repository. Might be of interest to think about adding at some point in the future.

Version-Release number of selected component (if applicable):
=============================================================

pam-1.1.1-17.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.